Subject: Re: [PATCH v2] net: dsa: tag_mtk: add padding for tx packets

From: Andrew Lunn <[email-masked]>
Date: Wed, 11 May 2022 16:39:31 +0200

> The garbage data is still present in the ARP packets without my patch
> though. So regardless of whether ARP packets are processed correctly or if
> they just trip up on some receivers under specific conditions, I believe my
> patch is valid and should be applied.
> 
> Who knows, maybe the garbage padding even leaks some data from previous
> packets, or some other information from within the switch.

I somewhat agree with Vladimir at the moment. We don't seem to fully
understand why the change makes things work better. And without that
understanding, it is hard to say if this is the correct fix or not.

If this fix is making the transmitter work around bugs in the
receiver, we really should be fixing the receiver, otherwise the
receiver is going to be broken in other scenarios involving padded
short packets.

	 Andrew